typedef char	int8_t;
typedef short 	int16_t;
typedef unsigned char	uint8_t;
typedef unsigned short	uint16_t; 
typedef unsigned int	uint32_t;
typedef int		int32_t;

typedef struct
{
    uint8_t u8start;          /*!< Start */
    uint16_t u16RegAdd;    /*!< Address of the first register to access at slaves */
    uint16_t u16RegNo;     /*!< Number of registers to access */
    uint8_t u8end;
    uint16_t *au16reg;     /*!< Pointer to memory image in master */
}
query_t;

enum
{
	NO_REPLY =0,
	COM_ERROR = 1,
	COM_OK = 2
};


int8_t query(query_t telegram);
uint8_t highByte(uint16_t Data);
uint8_t lowByte(uint16_t Data);
void printarray(uint16_t icount, int16_t *p, uint16_t size);
